package kr.gmtc.gw.standstatus.database.datasource2;

import java.util.List;

import org.springframework.stereotype.Service;

import kr.gmtc.gw.standstatus.database.dto.DataLoadHashMap;


@Service
public class IcSelectDao {
    private IcSelectMepper icSelectMepper;
    
    public IcSelectDao(IcSelectMepper icSelectMepper){
        this.icSelectMepper = icSelectMepper;
    }

    public List<DataLoadHashMap> select_flt_dep(){
        return icSelectMepper.select_flt_dep();
    }

    public List<DataLoadHashMap> select_flt_arr(){
        return icSelectMepper.select_flt_arr();
    }

    public int getAnalsIdSeq(){
        return icSelectMepper.getAnalsIdSeq();
    }

}
